package com.liquidnet.service.erp.utils;

import com.liquidnet.service.erp.vo.SyncStockVo;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.HashMap;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @class: ObjectUtil
 * @Package com.liquidnet.service.dragon.utils
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2021/7/21 16:00
 */
@Component
public class ErpObjectUtil {
    private static final HashMap<String, SyncStockVo> syncStockVo = new HashMap<String, SyncStockVo>();
    private static final ArrayList<SyncStockVo> syncStockVoList = new ArrayList();

    public static HashMap<String, SyncStockVo> syncStockVo() {
        return (HashMap<String, SyncStockVo>) syncStockVo.clone();
    }

    public static ArrayList<SyncStockVo> syncStockVoList() {
        return (ArrayList<SyncStockVo>) syncStockVoList.clone();
    }

}
